Bug 218734 - warnings during fontconfig-2.4.2-1.fc7 update
warnings during fontconfig-2.4.2-1.fc7 update
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: fontconfig (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-06 21:57 EST by dex
Modified: 2008-02-06 13:03 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-06 13:03:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dex 2006-12-06 21:57:34 EST
Description of problem:
These warnings were received during yum update 06-12-06
current rawhide.

Fontconfig warning: no <cachedir> elements found. Check configuration.
Fontconfig warning: adding <cachedir>/var/cache/fontconfig</cachedir>
Fontconfig warning: adding <cachedir>~/.fontconfig</cachedir>

Version-Release number of selected component (if applicable):

fontconfig-2.4.2-1.fc7

How reproducible:
yum update fontconfig 

Steps to Reproduce:
1.
2.
3.
  
Actual results:
as above.

Expected results:
no warnings.

Additional info:
now when starting say kwrite from the command line the warning appears also.
Comment 1 Behdad Esfahbod 2006-12-07 18:32:17 EST
Did you do something unusual to your /etc/fonts/fonts.conf?
Comment 2 dex 2007-01-16 18:21:24 EST
No /etc/fonts/fonts.conf was not touched ?

Peace was returned by adding the missing:
<cachedir>/var/cache/fontconfig</cachedir> 
to ~/.fonts.conf as root
and 
<cachedir>~/.fontconfig</cachedir> for users

rpm -q --scripts fontconfig
[snip]
# Remove stale caches
rm -f /var/cache/fontconfig/????????????????????????????????.cache-2

This line doesn't match any cache files generated by fc-cache -f which are 

/var/cache/fontconfig/0251a5afa6ac727a1e32b7d4d4aa7cf0-x86.cache-2
/var/cache/fontconfig/1399483bfeade0272b0c045b84f9474c-x86.cache-2
/var/cache/fontconfig/3830d5c3ddfd5cd38a049b759396e72e-x86.cache-2

current rawhide fontconfig-2.4.2-2.fc7

Comment 3 Behdad Esfahbod 2007-01-17 14:59:09 EST
(In reply to comment #2)
> No /etc/fonts/fonts.conf was not touched ?
> 
> Peace was returned by adding the missing:
> <cachedir>/var/cache/fontconfig</cachedir> 
> to ~/.fonts.conf as root
> and 
> <cachedir>~/.fontconfig</cachedir> for users

This means you have the old fonts.conf, not the one shipped with fontconfig-2.4
packages.

> rpm -q --scripts fontconfig
> [snip]
> # Remove stale caches
> rm -f /var/cache/fontconfig/????????????????????????????????.cache-2
> 
> This line doesn't match any cache files generated by fc-cache -f which are 

It's not supposed to.  That is to remove caches generated by 2.3 versions of
fontconfig, like those shipping in FC5.

> /var/cache/fontconfig/0251a5afa6ac727a1e32b7d4d4aa7cf0-x86.cache-2
> /var/cache/fontconfig/1399483bfeade0272b0c045b84f9474c-x86.cache-2
> /var/cache/fontconfig/3830d5c3ddfd5cd38a049b759396e72e-x86.cache-2
> 
> current rawhide fontconfig-2.4.2-2.fc7
> 
> 

Comment 4 dex 2008-02-06 13:03:17 EST
old news.

Note You need to log in before you can comment on or make changes to this bug.